import request from '@/utils/request'

// 查询宠物类型列表
export function listPetType(query) {
  return request({
    url: '/model/petType/list',
    method: 'get',
    params: query
  })
}

// 查询宠物类型详细
export function getPetType(petTypeId) {
  return request({
    url: '/model/petType/' + petTypeId,
    method: 'get'
  })
}

// 新增宠物类型
export function addPetType(data) {
  return request({
    url: '/model/petType',
    method: 'post',
    data: data
  })
}

// 修改宠物类型
export function updatePetType(data) {
  return request({
    url: '/model/petType',
    method: 'put',
    data: data
  })
}

// 删除宠物类型
export function delPetType(petTypeId) {
  return request({
    url: '/model/petType/' + petTypeId,
    method: 'delete'
  })
}
